"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const core_1 = require("@angular-devkit/core");
const code_utils_1 = require("../utils/code-utils");
const parse_name_1 = require("@schematics/angular/utility/parse-name");
const find_module_1 = require("@schematics/angular/utility/find-module");
const yang_utils_1 = require("../utils/yang-utils");
function default_1(options) {
    return (host) => __awaiter(this, void 0, void 0, function* () {
        var _a, _b, _c, _d;
        const rootPath = yang_utils_1.getSourceRoot(host, options);
        yang_utils_1.smartPath(rootPath, options, 'pipes');
        if (!options.path) {
            options.path = `${rootPath}/shared/pipes`;
        }
        const parsedPath = parse_name_1.parseName(options.path, options.name);
        options.name = parsedPath.name;
        options.path = parsedPath.path;
        options.module = yang_utils_1.findClosestModule(host, options, 'shared');
        const schematic = yield yang_utils_1.getProjectSchematic(host, options, '@schematics/angular:pipe');
        options.flat = (_b = (_a = options.flat) !== null && _a !== void 0 ? _a : schematic.flat) !== null && _b !== void 0 ? _b : true;
        options.skipTests = (_d = (_c = options.skipTests) !== null && _c !== void 0 ? _c : schematic.skipTests) !== null && _d !== void 0 ? _d : false;
        const ngOptions = Object.assign(Object.assign({}, options), { skipImport: true });
        return schematics_1.chain([
            schematics_1.externalSchematic('@schematics/angular', 'pipe', ngOptions),
            addNgModule(options)
        ]);
    });
}
exports.default = default_1;
function addNgModule(options) {
    return (host) => {
        if (options.skipImport || !options.module)
            return host;
        const file = options.module;
        const sourceFile = code_utils_1.CodeUtils.readSourceFile(host, file);
        const pipePath = `/${options.path}/`
            + (options.flat ? '' : core_1.strings.dasherize(options.name) + '/')
            + core_1.strings.dasherize(options.name)
            + '.pipe';
        const relativePath = find_module_1.buildRelativePath(options.module, pipePath);
        code_utils_1.CodeUtils.addImport(sourceFile, `${core_1.strings.classify(options.name)}Pipe`, relativePath);
        code_utils_1.CodeUtils.insertInVariableArray(sourceFile, "DECLARATIONS", `${core_1.strings.classify(options.name)}Pipe`);
        code_utils_1.CodeUtils.writeSourceFile(host, file, sourceFile);
        return host;
    };
}
//# sourceMappingURL=index.js.map