"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const workspace_1 = require("@schematics/angular/utility/workspace");
function default_1(options) {
    return () => {
        return schematics_1.chain([
            schematics_1.mergeWith(schematics_1.apply(schematics_1.url('./files'), [
                schematics_1.move(''),
            ]), schematics_1.MergeStrategy.Overwrite),
            updateProjectWorkspace()
        ]);
    };
}
exports.default = default_1;
function updateProjectWorkspace() {
    return () => {
        return workspace_1.updateWorkspace(workspace => {
            const projectName = workspace.extensions.defaultProject;
            const project = workspace.projects.get(projectName);
            if (!project) {
                return;
            }
            // Add proxy config
            const serve = project.targets.get('serve');
            if (!serve)
                throw new Error(`expected node projects/${projectName}/architect/serve in angular.json`);
            serve.options['proxyConfig'] = 'proxy.conf.json';
        });
    };
}
//# sourceMappingURL=index.js.map