"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
const schematics_1 = require("@angular-devkit/schematics");
const parse_name_1 = require("@schematics/angular/utility/parse-name");
const yang_utils_1 = require("../utils/yang-utils");
function default_1(options) {
    return (host) => __awaiter(this, void 0, void 0, function* () {
        var _a, _b, _c, _d;
        const rootPath = yang_utils_1.getSourceRoot(host, options);
        if (!options.path) {
            options.path = `${rootPath}/services`;
        }
        const parsedPath = parse_name_1.parseName(options.path, options.name);
        options.name = parsedPath.name;
        options.path = parsedPath.path;
        const schematic = yield yang_utils_1.getProjectSchematic(host, options, '@schematics/angular:service');
        options.flat = (_b = (_a = options.flat) !== null && _a !== void 0 ? _a : schematic.flat) !== null && _b !== void 0 ? _b : true;
        options.skipTests = (_d = (_c = options.skipTests) !== null && _c !== void 0 ? _c : schematic.skipTests) !== null && _d !== void 0 ? _d : false;
        return schematics_1.chain([
            schematics_1.externalSchematic('@schematics/angular', 'service', options)
        ]);
    });
}
exports.default = default_1;
//# sourceMappingURL=index.js.map